import{s as ae,n as ie,o as se}from"../chunks/scheduler.182ea377.js";import{S as me,i as de,g as i,s as r,r as v,A as le,h as s,f as o,c as a,j as D,u as y,x as J,k as Z,y as z,a as n,v as N,d as x,t as A,w as L}from"../chunks/index.abf12888.js";import{D as Y}from"../chunks/Docstring.93f6f462.js";import{H as K}from"../chunks/Heading.16916d63.js";function fe(ee){let m,E,G,I,u,S,p,te="Customized normalization layers for supporting various models in 🤗 Diffusers.",V,c,j,d,g,Q,w,oe="Norm layer modified to incorporate timestep embeddings.",q,h,H,l,$,W,C,ne="Norm layer adaptive layer norm zero (adaLN-Zero).",M,b,k,f,_,X,T,re="GroupNorm layer modified to incorporate timestep embeddings.",O,P,R;return u=new K({props:{title:"Normalization layers",local:"normalization-layers",headingTag:"h1"}}),c=new K({props:{title:"AdaLayerNorm",local:"diffusers.models.normalization.AdaLayerNorm",headingTag:"h2"}}),g=new Y({props:{name:"class diffusers.models.normalization.AdaLayerNorm",anchor:"diffusers.models.normalization.AdaLayerNorm",parameters:[{name:"embedding_dim",val:": int"},{name:"num_embeddings",val:": int"}],parametersDescription:[{anchor:"diffusers.models.normalization.AdaLayerNorm.embedding_dim",description:"<strong>embedding_dim</strong> (<code>int</code>) &#x2014; The size of each embedding vector.",name:"embedding_dim"},{anchor:"diffusers.models.normalization.AdaLayerNorm.num_embeddings",description:"<strong>num_embeddings</strong> (<code>int</code>) &#x2014; The size of the embeddings dictionary.",name:"num_embeddings"}],source:"https://github.com/huggingface/diffusers/blob/v0.22.2/src/diffusers/models/normalization.py#L26"}}),h=new K({props:{title:"AdaLayerNormZero",local:"diffusers.models.normalization.AdaLayerNormZero",headingTag:"h2"}}),$=new Y({props:{name:"class diffusers.models.normalization.AdaLayerNormZero",anchor:"diffusers.models.normalization.AdaLayerNormZero",parameters:[{name:"embedding_dim",val:": int"},{name:"num_embeddings",val:": int"}],parametersDescription:[{anchor:"diffusers.models.normalization.AdaLayerNormZero.embedding_dim",description:"<strong>embedding_dim</strong> (<code>int</code>) &#x2014; The size of each embedding vector.",name:"embedding_dim"},{anchor:"diffusers.models.normalization.AdaLayerNormZero.num_embeddings",description:"<strong>num_embeddings</strong> (<code>int</code>) &#x2014; The size of the embeddings dictionary.",name:"num_embeddings"}],source:"https://github.com/huggingface/diffusers/blob/v0.22.2/src/diffusers/models/normalization.py#L49"}}),b=new K({props:{title:"AdaGroupNorm",local:"diffusers.models.normalization.AdaGroupNorm",headingTag:"h2"}}),_=new Y({props:{name:"class diffusers.models.normalization.AdaGroupNorm",anchor:"diffusers.models.normalization.AdaGroupNorm",parameters:[{name:"embedding_dim",val:": int"},{name:"out_dim",val:": int"},{name:"num_groups",val:": int"},{name:"act_fn",val:": typing.Optional[str] = None"},{name:"eps",val:": float = 1e-05"}],parametersDescription:[{anchor:"diffusers.models.normalization.AdaGroupNorm.embedding_dim",description:"<strong>embedding_dim</strong> (<code>int</code>) &#x2014; The size of each embedding vector.",name:"embedding_dim"},{anchor:"diffusers.models.normalization.AdaGroupNorm.num_embeddings",description:"<strong>num_embeddings</strong> (<code>int</code>) &#x2014; The size of the embeddings dictionary.",name:"num_embeddings"},{anchor:"diffusers.models.normalization.AdaGroupNorm.num_groups",description:"<strong>num_groups</strong> (<code>int</code>) &#x2014; The number of groups to separate the channels into.",name:"num_groups"},{anchor:"diffusers.models.normalization.AdaGroupNorm.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014; The activation function to use.",name:"act_fn"},{anchor:"diffusers.models.normalization.AdaGroupNorm.eps",description:"<strong>eps</strong> (<code>float</code>, <em>optional</em>, defaults to <code>1e-5</code>) &#x2014; The epsilon value to use for numerical stability.",name:"eps"}],source:"https://github.com/huggingface/diffusers/blob/v0.22.2/src/diffusers/models/normalization.py#L113"}}),{c(){m=i("meta"),E=r(),G=i("p"),I=r(),v(u.$$.fragment),S=r(),p=i("p"),p.textContent=te,V=r(),v(c.$$.fragment),j=r(),d=i("div"),v(g.$$.fragment),Q=r(),w=i("p"),w.textContent=oe,q=r(),v(h.$$.fragment),H=r(),l=i("div"),v($.$$.fragment),W=r(),C=i("p"),C.textContent=ne,M=r(),v(b.$$.fragment),k=r(),f=i("div"),v(_.$$.fragment),X=r(),T=i("p"),T.textContent=re,O=r(),P=i("p"),this.h()},l(e){const t=le("svelte-u9bgzb",document.head);m=s(t,"META",{name:!0,content:!0}),t.forEach(o),E=a(e),G=s(e,"P",{}),D(G).forEach(o),I=a(e),y(u.$$.fragment,e),S=a(e),p=s(e,"P",{"data-svelte-h":!0}),J(p)!=="svelte-i4ltwe"&&(p.textContent=te),V=a(e),y(c.$$.fragment,e),j=a(e),d=s(e,"DIV",{class:!0});var U=D(d);y(g.$$.fragment,U),Q=a(U),w=s(U,"P",{"data-svelte-h":!0}),J(w)!=="svelte-3m9blw"&&(w.textContent=oe),U.forEach(o),q=a(e),y(h.$$.fragment,e),H=a(e),l=s(e,"DIV",{class:!0});var B=D(l);y($.$$.fragment,B),W=a(B),C=s(B,"P",{"data-svelte-h":!0}),J(C)!=="svelte-hxuhdq"&&(C.textContent=ne),B.forEach(o),M=a(e),y(b.$$.fragment,e),k=a(e),f=s(e,"DIV",{class:!0});var F=D(f);y(_.$$.fragment,F),X=a(F),T=s(F,"P",{"data-svelte-h":!0}),J(T)!=="svelte-gj85yz"&&(T.textContent=re),F.forEach(o),O=a(e),P=s(e,"P",{}),D(P).forEach(o),this.h()},h(){Z(m,"name","hf:doc:metadata"),Z(m,"content",ue),Z(d,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),Z(l,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),Z(f,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,t){z(document.head,m),n(e,E,t),n(e,G,t),n(e,I,t),N(u,e,t),n(e,S,t),n(e,p,t),n(e,V,t),N(c,e,t),n(e,j,t),n(e,d,t),N(g,d,null),z(d,Q),z(d,w),n(e,q,t),N(h,e,t),n(e,H,t),n(e,l,t),N($,l,null),z(l,W),z(l,C),n(e,M,t),N(b,e,t),n(e,k,t),n(e,f,t),N(_,f,null),z(f,X),z(f,T),n(e,O,t),n(e,P,t),R=!0},p:ie,i(e){R||(x(u.$$.fragment,e),x(c.$$.fragment,e),x(g.$$.fragment,e),x(h.$$.fragment,e),x($.$$.fragment,e),x(b.$$.fragment,e),x(_.$$.fragment,e),R=!0)},o(e){A(u.$$.fragment,e),A(c.$$.fragment,e),A(g.$$.fragment,e),A(h.$$.fragment,e),A($.$$.fragment,e),A(b.$$.fragment,e),A(_.$$.fragment,e),R=!1},d(e){e&&(o(E),o(G),o(I),o(S),o(p),o(V),o(j),o(d),o(q),o(H),o(l),o(M),o(k),o(f),o(O),o(P)),o(m),L(u,e),L(c,e),L(g),L(h,e),L($),L(b,e),L(_)}}}const ue='{"title":"Normalization layers","local":"normalization-layers","sections":[{"title":"AdaLayerNorm","local":"diffusers.models.normalization.AdaLayerNorm","sections":[],"depth":2},{"title":"AdaLayerNormZero","local":"diffusers.models.normalization.AdaLayerNormZero","sections":[],"depth":2},{"title":"AdaGroupNorm","local":"diffusers.models.normalization.AdaGroupNorm","sections":[],"depth":2}],"depth":1}';function pe(ee){return se(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class be extends me{constructor(m){super(),de(this,m,pe,fe,ae,{})}}export{be as component};
